> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get index price

> Retrieves the latest index price

<Tabs>
  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const indexService = new IndexService(client);

    indexService.getIndexPrice({
        index: 'COIN50',
    }).then(async (response) => {
        console.log('Index Price: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/index/{index}/price
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/index/{index}/price:
    get:
      tags:
        - Index
      summary: Get index price
      description: Retrieves the latest index price
      operationId: getIndexPrice
      parameters:
        - name: index
          in: path
          description: Identifies the index by name (e.g., `COIN50`)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Latest index price
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndexPrice_v1'
        '400':
          description: Invalid attribute
        '401':
          description: Authentication error
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    IndexPrice_v1:
      type: object
      properties:
        product_id:
          description: The Product ID for the index
          type: string
          example: COIN50
        status:
          description: The status of the index price
          type: string
          example: STATE_OK
        timestamp:
          description: The timestamp of the index price
          type: string
          example: '2024-11-11T20:42:33Z'
        price:
          description: The latest index price
          type: string
          example: '388.91871799439963'
        price_24hr_change:
          description: The price 24hr change percent (negative values denote change down)
          type: string
          example: '8.940862872710408'
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````